Skip site navigation (1) Skip section navigation (2)

RE: Unable to connect

From: Dave Page <dpage(at)vale-housing(dot)co(dot)uk>
To: 'Cédric Avena' <cedric(dot)avena(at)waw(dot)com>, pgadmin-support(at)postgresql(dot)org
Subject: RE: Unable to connect
Date: 2001-08-20 10:15:02
Message-ID: 8568FC767B4AD311AC33006097BCD3D61A2DAE@woody.vale-housing.co.uk (view raw or flat)
Thread:
Lists: pgadmin-support

> -----Original Message-----
> From: Cédric Avena [mailto:cedric(dot)avena(at)waw(dot)com] 
> Sent: 20 August 2001 09:36
> To: pgadmin-support(at)postgresql(dot)org
> Subject: [pgadmin-support] Unable to connect
> 
> 
> I tried to connect to my databases (6.5.3 & 7.0.3), but 
> pgAdminII returned me:
> 
> A error has occured...
> Number: -2147467259
> Description: Error while executing the query ;
> ERROR: Attribute 'datlastsysoid' not found
> 
> I installed v1.1 Build 20 and MDAC 2.6
> 
> What's wrong ?

Hi Cédric,

'datlastsysoid' is a column in the pg_database system table. Unfortunately
it's only present in PostgreSQL 7.1 or higher. Unfortunately I can't really
devote the time to making the new code backward compatible with old versions
of PostgreSQL, so my best suggestion would be to upgrade to PostgreSQL 7.1.
To quote Tom Lane (one of the core PostgreSQL developers) from a message I
read this morning: 

'It's *way* past time to update.  7.1.3 is current PG release, and the list
of bugs fixed since 6.5.* would fill a book.'

Regards, Dave.

pgadmin-support by date

Next:From: fcyDate: 2001-08-21 14:49:39
Subject: can't access table properties in 1_1_20
Previous:From: Cédric AvenaDate: 2001-08-20 08:35:30
Subject: Unable to connect

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group